Connections
Get a connection
Retrieves the specified connection and its configuration details without including credential values.
Frågeparametrar
api-version
string
krävs
The API version to use for this operation.
Sökvägsparametrar
name
string
krävs
The friendly name of the connection, provided by the user.
Rubrikparametrar
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Svar
The request has succeeded.
Sidhuvuden
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Brödtext
name
string
krävs
The friendly name of the connection, provided by the user.
id
string
krävs
A unique identifier for the connection, generated by the service
type
string | enum
krävs
The Type (or category) of the connection
enum
target
string
krävs
The connection URL to be used for this service
isDefault
boolean
krävs
Whether the connection is tagged as the default connection of its type
credentials
ApiKey | AAD | CustomKeys | SAS | None | AgenticIdentityToken_Preview
krävs
A base class for connection credentials
ApiKey
ApiKeyCredentials
API Key Credential definition
type
enum
krävs
The credential type
key
string
API Key
AAD
EntraIDCredentials
Entra ID credential definition
type
enum
krävs
The credential type
CustomKeys
CustomCredential
Custom credential definition
type
enum
krävs
The credential type
SAS
SASCredentials
Shared Access Signature (SAS) credential definition
type
enum
krävs
The credential type
SAS
string
SAS token
None
NoAuthenticationCredentials
Credentials that do not require authentication
type
enum
krävs
The credential type
AgenticIdentityToken_Preview
AgenticIdentityPreviewCredentials
Agentic identity credential definition
type
enum
krävs
The credential type
metadata
object
krävs
Metadata of the connection
Förfrågan
GET /connections/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json